<div class="card border-0 card-body align-items-center d-flex justify-content-center">
<div class="row">
  <div class="col-md-12">
    <h4>Configurador de mensajes</h4>
    <h5>Ingrese el mensaje que recibirá el usuario de acuerdo al estatus obtenido en su trámite</h5>
  </div>
  
</div>

<div class="row rowSection">
  <div class="col-md-2">
    <h5><strong>PENDING</strong></h5>
    
  </div>
  <div class="col-md-6">
    <textarea  rows="5" cols="70" minlength="300" maxlength="500" style="resize: none;" id="pass" [(ngModel)]="messagePendingInput"></textarea>
    
  </div>
  <div class="col-md-4">
    <div class="form-group">
      <button (click)="abrirModal('pass')"
                    class="btn btn-primary btnSave btnLink">Previsualizar correo</button>
      <!-- <a class="btn btn-primary btnSave btnLink" (click)="abrirModal('pass')">Previsualizar correo</a> -->
    </div>
    
  </div>
</div>

<div class="row rowSection">
  <div class="col-md-2">
    <h5><strong>REVIEW</strong></h5>
    
  </div>
  <div class="col-md-6">
    <textarea  rows="5" cols="70" minlength="300" maxlength="500" style="resize: none;" id="review" [(ngModel)]="messageReviewInput"></textarea>
    
  </div>
  <div class="col-md-4">
    <div class="form-group">
      <button (click)="abrirModal('review')"
                    class="btn btn-primary btnSave btnLink">Previsualizar correo</button>
      <!-- <a class="btn btn-primary btnSave btnLink" (click)="abrirModal('review')">Previsualizar correo</a> -->
    </div>
    
  </div>
</div>

<div class="row rowSection">
  <div class="col-md-2">
    <h5><strong>REJECTED</strong></h5>
    
  </div>
  <div class="col-md-6">
    <textarea  rows="5" cols="70" minlength="300" maxlength="500" style="resize: none;" id="rejected" [(ngModel)]="messageRejectedInput"></textarea>
    
  </div>
  <div class="col-md-4">
    <div class="form-group">
      <button (click)="abrirModal('rejected')"
                    class="btn btn-primary btnSave btnLink">Previsualizar correo</button>
      <!-- <a class="btn btn-primary btnSave btnLink" (click)="abrirModal('rejected')">Previsualizar correo</a> -->
    </div>
    
  </div>
</div>

<div class="row rowSection" *ngIf="showMessageError">
  <div class="col-md-12">
    <label style="color: red;">Debe configurar todos los mensajes de correo electrónico</label>
  </div>
</div>
<div class="row rowSection">
  <div class="col-md-12" style="text-align: center;">
    <button class="btn btn-primary btnSave" style="margin-bottom: 5%;" (click)="saveNotifications()">Guardar</button>
  </div>
</div>

</div>




<div id="modalTerminos" class="modal my-auto">
  <!-- Modal content -->
  <div class="modal-content">
    <div class="row">
      <a id="btnAceptarModal" type ="button" (click)="cerrarModal()"  class="btn btn-lg mr-3 btnUrl close btn-close-modal">&times;</a>
    </div>
    <div class="modal-body" [innerHTML]="textoModal"></div>
    <div class="row">
      <a id="btnAceptarModal" type ="button" (click)="cerrarModal()"  class="btn btn-lg mr-3 btnUrl close btn-close-modal">&times;</a>
    </div>
</div>